import {Event} from '../../event/Event'
import {SecurityContext} from '../context/SecurityContext'
import {Awaitable, JSONState} from '../../util'
import {Authenticatable} from '../types'

/**
 * Event fired when a user is authenticated.
 */
export class AuthenticationEvent extends Event {
    constructor(
        public readonly user: Authenticatable,
        public readonly context: SecurityContext,
    ) {
        super()
    }

    async dehydrate(): Promise<JSONState> {
        return {
            user: await this.user.dehydrate(),
            contextName: this.context.name,
        }
    }

    rehydrate(state: JSONState): Awaitable<void> {  // eslint-disable-line @typescript-eslint/no-unused-vars
        // TODO fill this in
    }
}
