import {FormRequest, ValidationRules} from '../../../forms'
import {Is, Str} from '../../../forms/rules/rules'
import {Singleton} from '../../../di'

export interface BasicRegisterFormData {
    username: string,
    password: string,
}

@Singleton()
export class BasicRegisterFormRequest extends FormRequest<BasicRegisterFormData> {
    protected getRules(): ValidationRules {
        return {
            username: [
                Is.required,
                Str.lengthMin(1),
            ],
            password: [
                Is.required,
                Str.lengthMin(1),
                Str.confirmed,
            ],
        }
    }
}
