import {Dispatchable} from './types'
import {Awaitable, JSONState} from '../util'

/**
 * Abstract class representing an event that may be fired.
 */
export abstract class Event implements Dispatchable {


    abstract dehydrate(): Awaitable<JSONState>

    abstract rehydrate(state: JSONState): Awaitable<void>
}
