import {RequestInfo, RequestInit, Response} from 'node-fetch'
import {unsafeESMImport} from './unsafe'
export const fetch = (url: RequestInfo, init?: RequestInit): Promise<Response> => unsafeESMImport('node-fetch').then(({default: nodeFetch}) => nodeFetch(url, init))

export * from './cache/Cache'
export * from './cache/InMemCache'

export * from './collection/ArrayIterable'
export * from './collection/AsyncCollection'
export * from './collection/Collection'
export * from './collection/Iterable'
export * from './collection/where'

export * from './const/http'

export * from './error/ErrorWithContext'
export * from './error/MethodNotSupportedError'

export * from './logging/Logger'
export * from './logging/StandardLogger'
export * from './logging/FileLogger'
export * from './logging/types'

export * from './support/BehaviorSubject'
export * from './support/data'
export * from './support/mixin'
export * from './support/path'
export * from './support/debug'

export * from './support/path/Filesystem'
export * from './support/path/LocalFilesystem'
export * from './support/path/SSHFilesystem'

export * from './support/Rehydratable'
export * from './support/string'
export * from './support/timeout'
export * from './support/global'
export * from './support/Pipe'
export * from './support/Messages'
export * from './support/types'
