
export function isDebugging(key: string): boolean {
    const env = 'EXTOLLO_DEBUG_' + key.split(/(?:\s|\.)+/).join('_')
        .toUpperCase()

    return process.env[env] === 'yes'
}

export function ifDebugging(key: string, run: () => any): void {
    if ( isDebugging(key) ) {
        run()
    }
}

export function logIfDebugging(key: string, ...output: any[]): void {
    ifDebugging(key, () => console.log(`[debug: ${key}]`, ...output))  // eslint-disable-line no-console
}
